#!/bin/sh

# firmware flash script for i-Novative Autol-Link-SPE-G 1000BASE-T1 Media Converter
# ensure that only one Auto-Link device is attached
# run ./flash_auto-link.sh for upgrading the firmware

TYPE=t167
AVRDUDE=avrdude
WORKDIR=$(readlink -f $(dirname $0))

FWFILE=${WORKDIR}/auto-link-spe-g-fw

while getopts "f:" OPTION
do
  case $OPTION in
    "f")
		FWFILE=$OPTARG
		;;
  esac
done

FWTYPE='hex:i'
FUSETYPE='hex:h'

echo "flashing ${FWFILE}.${FWTYPE}"

AVR_L_FUSE=0xe2
AVR_H_FUSE=0xdf
AVR_E_FUSE=0xff

${AVRDUDE} -p $TYPE -c inobt1+ -U flash:w:${FWFILE}.${FWTYPE} -U lfuse:w:${AVR_L_FUSE}:m -U hfuse:w:${AVR_H_FUSE}:m -U efuse:w:${AVR_E_FUSE}:m -C $WORKDIR/auto-link.conf
